[Solucionado] [Problema con la actualización y versiones de ubuntu]

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)
Responder
migueluruguay
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Dom Oct 10, 2021 3:02 am

[Solucionado] [Problema con la actualización y versiones de ubuntu]

Mensaje por migueluruguay »

Hola, ¿como están? espero que bien. Mi nombre es Miguel y es un placer poder participar en este gran foro, y como leí las reglas, voy a pasar a explicarles detalladamente mi problema. Resulta que yo soy ciego y para trabajar uso los 2 sistemas, windows y ubuntu. Entonces ahora en la escuela estamos trabajando, en una de mis materias, con ubuntu. Utilizo el lector de pantalla orca y el escritorio mate. Pues el gran problema que estoy teniendo es al actualizar. Pasa que un amigo me recomendó una versión de esta distro totalmente accesible llamada Accessible Coconut. En sí al usarla 0 problemas, el tema es al querer actualizar. Utilizo ese sistema en su versión 20.04.3LTS, pero cuando utilizo los comandos apt upgrade y apt dist-upgrade me dice los siguientes paquetes se han retenido y me da 44 paquetes sin actualizar, no los pongo acá porque ahora mismo estoy usando windows y con orca no sé cómo copiar texto, ya que con ubuntu soy principiante, a penas le estoy hagarrando la mano. Y como iva diciendo, no me deja actualizar con esos 2 comandos, solo el apt update funciona, además cuando se me dio por mirar con la herramienta synaptic pude encontrar 3 paquetes rotos, los borré, pero me sigue negando actualizar los demás paquetes. Intenté de todo, borré las lock files, borré la cache local, etcétera... todo lo que se hace para reparar o al menos intentar reparar paquetes rotos lo intenté. Pero nada dio resultado. Los comandos que utilicé fueron. apt update && apt upgrade && apt dist-upgrade && apt clean && apt autoclean && apt install -f && apt update --missing-files. Pero nada funcionó. Omito el sudo porque siempre me gusta trabajar como root, al usar el entorno gráfico lo uso como usuario normal. Entonces se me dio por revisar la página de donde descargué esta distro accesible, y encontré una imagen que supuestamente es superior a la versión 20.04.3lts, pero sorpresa, es la versión 20.04.2. Pero me dejó actualizar absolutamente todo, ¡hasta el núcleo se actualizó! ¿pueden creerlo? se supone que las novedades de la versión 20.04.3 las tengo en esta versión un punto más antigua. ¿qué me recomiendan? si es posible me gustaría arreglarla sin tener que reinstalar, ya que tengo esta máquina para pruebas, y la otra, que es una hp, con la versión que me está dando problemas para actualizar. La versión 20.04.2 la tengo en esta máquina marca dinabook y la problemática en la hp. Aclaro también que en las 2 tengo dualboot. También si es posible, ¿abría alguna forma de forzar a ubuntu a actualizarse de 20.04.2 a 20.04.3? el comando do-release-upgrade no encuentra nada, y eso que configuré el software de actualizaciones a servidor principal. Por favor si me pudieran ayudar, se los agradezco muchísimo, ya que el profe nos recomendó tener todo el software actualizado. Disculpen este mensaje tan largo, espero respuesta y les mando un saludo desde uruguay, ¡desde ya muchas gracias por su ayuda!
¡Upps! se me olvidaba, acá está la página de donde descargué esta distribución por si sirve de algo:
https://sourceforge.net/projects/accessible-coconut/
Última edición por migueluruguay el Lun Oct 11, 2021 11:56 pm, editado 1 vez en total.

Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3655
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: [Problema con la actualización y versiones de ubuntu]

Mensaje por doc »

desconozco el tema pero...
a) ¿no será que, al ser (al parecer...) 'Accesible Coconuts' un 'fork' de Ubuntu Mate, no sea un problema de actualización, sino que requiera instalar ese sistema?
b) ¿o que, en el caso de poder actualizarse, se tenga que hacer a partir de algunos repositorios especiales, de terceros (PPA)... que no tengas activados?

migueluruguay
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Dom Oct 10, 2021 3:02 am

Re: [Problema con la actualización y versiones de ubuntu]

Mensaje por migueluruguay »

Hola, gracias por responder. ¿Entonces sugieres que intente actualizar desde la imagen oficial de ubuntu mate? me gustaría tener el ubuntu lts más actual posible pero temo que si descargo la imagen oficial, no tenga orca que es el lector de pantalla que utilizo. Por otro lado, intentaré activar todos los repositorios, solo que los de código fuente no me interesan porque no soy experto, prefiero instalar gráficamente o por comandos. Ahora que si por favor tú sabes si la hiso oficial tiene orca y puedo activarlo desde el principio para que me lea la instalación, instalo directamente el ubuntu mate original y sin modificar, así me aseguro de que esté actualizado. Gracias por la ayuda...

Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3655
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: [Problema con la actualización y versiones de ubuntu]

Mensaje por doc »

no, me refiero a que, al parecer, eso especial de 'accesible coconuts' es una ISO que se debe descargar e instalar:
https://sourceforge.net/projects/accessible-coconut/
(por lo demás, lo siento, no uso ubuntu)

migueluruguay
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Dom Oct 10, 2021 3:02 am

Re: [Problema con la actualización y versiones de ubuntu]

Mensaje por migueluruguay »

Hola, gracias igual, ya está resuelto, instalé la versión 20.04.2 actualizada y listo, editaré este tema y lo pondré como solucionado

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje